QuattroGraphInternal::ShapeHeader Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
QuattroGraphInternal::ShapeHeader Struct Reference

a shape header of a QuattroGraph More...

Inheritance diagram for QuattroGraphInternal::ShapeHeader:

## Public Member Functions
| ShapeHeader ()
| constructor
virtual | ~ShapeHeader ()
| destructor
virtual bool | isTextbox () const
| returns true if the shape is a textbox

## Public Attributes
int | m_type
| the type
WPSBox2i | m_box
| the bdbox
int | m_id
| an id?
WPSGraphicStyle | m_style
| the graphic style
int | m_values [5]
| optional values
int | m_flags [14]
| some flags
int | m_values2 [4]
| style values
std::string | m_extra
| error message

## Friends
std::ostream & | operator<< (std::ostream &o, ShapeHeader const &sh)
| operator<<

## Detailed Description

a shape header of a QuattroGraph

## Constructor & Destructor Documentation

## ◆ ShapeHeader()

QuattroGraphInternal::ShapeHeader::ShapeHeader | ( |  | ) |
| inline

constructor

Referenced by operator<<, QuattroGraphInternal::Shape::Shape(), and QuattroGraphInternal::Textbox::Textbox().

## ◆ ~ShapeHeader()

QuattroGraphInternal::ShapeHeader::~ShapeHeader | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ isTextbox()

virtual bool QuattroGraphInternal::ShapeHeader::isTextbox | ( |  | ) | const
| inlinevirtual

returns true if the shape is a textbox

Reimplemented in QuattroGraphInternal::Textbox.

Referenced by QuattroGraph::readShapeHeader().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ShapeHeader const & | sh )
| friend

operator<<

## Member Data Documentation

## ◆ m_box

WPSBox2i QuattroGraphInternal::ShapeHeader::m_box

the bdbox

Referenced by operator<<, QuattroGraph::readShapeHeader(), and ShapeHeader().

## ◆ m_extra

std::string QuattroGraphInternal::ShapeHeader::m_extra

error message

Referenced by operator<<, QuattroGraph::readShapeHeader(), and ShapeHeader().

## ◆ m_flags

int QuattroGraphInternal::ShapeHeader::m_flags[14]

some flags

Referenced by operator<<, QuattroGraph::readShapeHeader(), and ShapeHeader().

## ◆ m_id

int QuattroGraphInternal::ShapeHeader::m_id

an id?

Referenced by operator<<, QuattroGraph::readShapeHeader(), and ShapeHeader().

## ◆ m_style

WPSGraphicStyle QuattroGraphInternal::ShapeHeader::m_style

the graphic style

Referenced by operator<<, QuattroGraph::readShapeHeader(), and ShapeHeader().

## ◆ m_type

int QuattroGraphInternal::ShapeHeader::m_type

the type

Referenced by operator<<, QuattroGraph::readShapeHeader(), and ShapeHeader().

## ◆ m_values

int QuattroGraphInternal::ShapeHeader::m_values[5]

optional values

Referenced by operator<<, QuattroGraph::readShapeHeader(), and ShapeHeader().

## ◆ m_values2

int QuattroGraphInternal::ShapeHeader::m_values2[4]

style values

Referenced by operator<<, QuattroGraph::readShapeHeader(), and ShapeHeader().

The documentation for this struct was generated from the following file:

- QuattroGraph.cpp